package spark.listnet

import spark.SparkContext
import SparkContext._
 
object Preprocess {
   
  def parseLine(line: String): (String, String) = {
	val tokens = line.split(' ')
	val relevance = tokens(0)
	val qid = tokens(1)
    return (qid, relevance + " " + tokens.slice(2,138).reduce(_ + " " + _))
  }
  
  
  def main( args: Array[String]) {
 
    if (args.length != 2) {
      System.err.println("Usage: SparkTest <host> <filename>")
      System.exit(1)
    }
 
    val spark = new SparkContext(args(0), "SparkTest")
 
    val myFile = spark.textFile(args(1))
    val query = myFile.map(parseLine _)
                        .reduceByKey(_ + "#" + _)
                        
    query.saveAsTextFile("out.txt")
 
  }
 
}
